"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WeappsCompSelect = exports.getClassAttrName = exports.isBuiltinMpTag = exports.builtinWigetProps = exports.builtinMpTags = exports.nativeCompWhiteList = exports.builtinMpEvents = exports.defaultProjConfig = exports.jsonSchemaType2jsClass = exports.textContentPropName = exports.varSeparator = exports.getWxmlDataPrefix = void 0;
/**
 * The prefixes of variables used in wxml
 */
function getWxmlDataPrefix(debug = false) {
    return !debug
        ? {
            appState: 'g',
            pageState: 'p',
            appComputed: 't',
            pageComputed: 'c',
            widgetProp: '',
            forItem: 'f',
            forIndex: 'i',
        }
        : {
            appState: 'appState',
            pageState: 'pageState',
            appComputed: 'appComputed',
            pageComputed: 'pageComputed',
            widgetProp: '',
            forItem: 'forItem_',
            forIndex: 'forIndex_',
        };
}
exports.getWxmlDataPrefix = getWxmlDataPrefix;
// variable separator in wxml attribute
exports.varSeparator = '.';
/**
 * If the prop name of component is textContentPropName, this prop will be generated as child(innerText) of the component
 */
exports.textContentPropName = 'text';
exports.jsonSchemaType2jsClass = {
    number: 'Number',
    string: 'String',
    image: 'String',
    color: 'String',
    boolean: 'Boolean',
    object: 'Object',
    array: 'Array',
    time: 'String',
    date: 'String',
    daterange: 'Array',
};
exports.defaultProjConfig = {
    packOptions: {
        ignore: [],
    },
    setting: {
        urlCheck: false,
        es6: true,
        enhance: true,
        postcss: true,
        minified: true,
        newFeature: true,
        nodeModules: true,
        autoAudits: false,
        uglifyFileName: false,
        checkInvalidKey: true,
        checkSiteMap: true,
        uploadWithSourceMap: true,
        codeProtect: false,
        compileHotReLoad: true,
        ignoreDevUnusedFiles: false,
        useCompilerPlugins: ['typescript'],
    },
    compileType: 'miniprogram',
    libVersion: '2.21.3',
    appid: 'touristappid',
    debugOptions: {},
    isGameTourist: false,
    simulatorType: 'wechat',
    simulatorPluginLibVersion: {},
};
// Builtin events defined by WX, https://developers.weixin.qq.com/miniprogram/dev/framework/view/wxml/event.html
exports.builtinMpEvents = [
    'touchstart',
    'touchmove',
    'touchcancel',
    'touchend',
    'tap',
    'longpress',
    'longtap',
    'transitionend',
    'animationstart',
    'animationiteration',
    'animationend',
    'touchforcechange', // 在支持 3D Touch 的 iPhone 设备，重按时会触发
];
exports.nativeCompWhiteList = [
    'textarea',
    'input',
    'camera',
    'canvas',
    'map',
    'video',
    'live-player',
    'live-pusher',
];
exports.builtinMpTags = 'cover-image,cover-view,match-media,movable-area,movable-view,scroll-view,swiper,swiper-item,view,\
icon,progress,rich-text,text,\
button,checkbox,checkbox-group,editor,form,input,label,picker,picker-view,picker-view-column,radio,radio-group,slider,switch,textarea,\
functional-page-navigator,navigator,\
audio,camera,image,live-player,live-pusher,video,voip-room,map,canvas,\
ad,ad-custom,official-account,open-data,web-view'.split(',');
exports.builtinWigetProps = 'id,style,classList,className,parent,children,widgetType,getWidgetsByType'.split(',');
function isBuiltinMpTag(tag) {
    return exports.builtinMpTags.indexOf(tag) > -1;
}
exports.isBuiltinMpTag = isBuiltinMpTag;
function getClassAttrName(tag) {
    return isBuiltinMpTag(tag) ? 'class' : 'className';
}
exports.getClassAttrName = getClassAttrName;
exports.WeappsCompSelect = 'WeappsCompSelect';
